Package tigase.db.jdbc

# Class TigaseSPAuth

java.lang.Object
tigase.db.AbstractAuthRepositoryWithCredentials
tigase.db.jdbc.TigaseCustomAuth
tigase.db.jdbc.TigaseSPAuth

All Implemented Interfaces:
  `AuthRepository`, `DataSourceAware<DataRepository>`, `Repository`, `RepositoryVersionAware`

public class TigaseSPAuth extends TigaseCustomAuth implements RepositoryVersionAware
Tigase Salted Password Auth.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.AuthRepository

  `AuthRepository.AccountStatus, AuthRepository.DefaultCredentials, AuthRepository.SingleCredential`

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

  ## Nested classes/interfaces inherited from interface tigase.db.util.RepositoryVersionAware

  `RepositoryVersionAware.SchemaVersion`

- ## Field Summary

  ### Fields inherited from class tigase.db.jdbc.TigaseCustomAuth

  `DEF_ACCOUNTSTATUS_KEY, DEF_ACCOUNTSTATUS_QUERY, DEF_ACTIVE_USERS_COUNT_KEY, DEF_ACTIVE_USERS_COUNT_QUERY, DEF_ADDUSER_KEY, DEF_ADDUSER_QUERY, DEF_CONNVALID_KEY, DEF_DELUSER_KEY, DEF_DELUSER_QUERY, DEF_DISABLEACCOUNT_KEY, DEF_ENABLEACCOUNT_KEY, DEF_GETPASSWORD_KEY, DEF_GETPASSWORD_QUERY, DEF_INITDB_KEY, DEF_INITDB_QUERY, DEF_LISTDISABLEDACCOUNTS_KEY, DEF_LISTDISABLEDACCOUNTS_QUERY, DEF_NONSASL_MECHS, DEF_NONSASL_MECHS_KEY, DEF_SASL_MECHS, DEF_SASL_MECHS_KEY, DEF_UPDATEACCOUNTSTATUS_KEY, DEF_UPDATEACCOUNTSTATUS_QUERY, DEF_UPDATELOGINTIME_KEY, DEF_UPDATEPASSWORD_KEY, DEF_USERLOGIN_KEY, DEF_USERLOGOUT_KEY, DEF_USERS_COUNT_KEY, DEF_USERS_COUNT_QUERY, DEF_USERS_DOMAIN_COUNT_KEY, DEF_USERS_DOMAIN_COUNT_QUERY, NO_QUERY, SP_STARTS_WITH`

  ### Fields inherited from interface tigase.db.AuthRepository

  `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PASSWORD_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TigaseSPAuth()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addUser(BareJID user, String password)`
  `boolean`
  `otherAuth(Map<String,Object> props)`
  `void`
  `updatePassword(BareJID user, String password)`

  ### Methods inherited from class tigase.db.jdbc.TigaseCustomAuth

  `getAccountStatus, getActiveUsersCountIn, getCredentialIds, getCredentials, getParamWithDef, getResourceUri, getUsersCount, getUsersCount, initRepository, isMechanismSupported, loggedIn, logout, queryAuth, removeCredential, removeUser, setAccountStatus, setDataSource, updateCredential, updateCredential`

  ### Methods inherited from class tigase.db.AbstractAuthRepositoryWithCredentials

  `getCredentialsDecoder, getCredentialsEncoder, getPassword, setCredentialsCodecs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.db.AuthRepository

  `getUsernames, isUserDisabled, setUserDisabled`

  ### Methods inherited from interface tigase.db.util.RepositoryVersionAware

  `getVersion, updateSchema`

- ## Constructor Details

  - ### TigaseSPAuth

    public TigaseSPAuth()

- ## Method Details

  - ### addUser

    public void addUser(BareJID user, String password) throws UserExistsException, TigaseDBException
    Specified by:
      `addUser` in interface `AuthRepository`
    Overrides:
      `addUser` in class `TigaseCustomAuth`
    Throws:
      `UserExistsException`
      `TigaseDBException`

  - ### otherAuth

    public boolean otherAuth(Map<String,Object> props) throws UserNotFoundException, TigaseDBException, AuthorizationException
    Specified by:
      `otherAuth` in interface `AuthRepository`
    Overrides:
      `otherAuth` in class `TigaseCustomAuth`
    Throws:
      `UserNotFoundException`
      `TigaseDBException`
      `AuthorizationException`

  - ### updatePassword

    public void updatePassword(BareJID user, String password) throws UserNotFoundException, TigaseDBException
    Specified by:
      `updatePassword` in interface `AuthRepository`
    Overrides:
      `updatePassword` in class `TigaseCustomAuth`
    Throws:
      `UserNotFoundException`
      `TigaseDBException`